/**
	@file
	Low level accelerometer driver interface.
 */

#ifndef __ACCELERO_H__ 
#define __ACCELERO_H__


#define ACCELEROMETER_OFF  0
#define ACCELEROMETER_ON  1


void accelero_init(int adc_clock);
void accelero_sleep(int sleep);
float accelero_read_one(int channel);
int accelero_read(float *p_dst);


#endif // __ACCELERO_H__
