/**
	@file
	Definitions for SD card device driver.
 */

#ifndef __SDCARD_DEVICE_FF_H__
#define __SDCARD_DEVICE_FF_H__


#define SDCARD_IOCTL_SEEK      0x101
#define SDCARD_IOCTL_UNLINK    0x102
#define SDCARD_IOCTL_RENAME    0x103
#define SDCARD_IOCTL_FLUSH_DIR 0x104


extern device_table_entry_t sdcard_device;

#define MaxFileBuffers  5


#endif // __SDCARD_DEVICE_FF_H__


