/**
	@file
	newlib - link.

  \todo Add implementation.
 */

#include "sceptre.h"
#include "device.h"
#include <reent.h>
#include <errno.h>
#include <string.h>


/**
* This function has to be implemented if you want to use link (or rename) in your programs.
*
* @param p_reent  Pointer to a structure that will receive the return value.
* @param p_old    Current name of file to link.
* @param p_new    New name of file to link.
* @return 0 on success, -1 on failure.
*/
int _link_r(struct _reent *p_reent, const char *p_old, const char *p_new)
{
  /* TODO, not converted for Sceptre yet.
  int len, idx;
  struct IOCTLRENAMESTRUCT 
  {
    const char * oldname;
    const char * newname;
  } 
  IOCTL_RENAME;

  // All devices must start with a name and name is bracketed with '/'.
  if (p_old[0]=='/') 
  {
    // We might have a valid device name, search the table list.
    for (idx=0; device_table_list[idx].p_item; idx++) 
    {
      len = strlen(device_table_list[idx].p_item->name);
      if (strncmp(device_table_list[idx].p_item->name,&p_old[1],len)==0) 
      {
        // Ensure trailing '/'.
        if (p_old[len+1]!='/') continue;
        // Found it, now call the open.
        // Device is called with device name removed.
        if (device_table_list[idx].p_item->ioctl!=0) 
        {
          IOCTL_RENAME.oldname = &p_old[len+2];
          IOCTL_RENAME.newname = p_new;
          return device_table_list[idx].p_item->ioctl(r,0,IOCTL_MMC_RENAME,&IOCTL_RENAME);
        }
      }
    }
  }*/

  // Otherwise we get nasty about it..
  p_reent->_errno = EINVAL;
  return -1;
}

