/**
	@file
	newlib - lseek.

  \todo Add implementation.
 */

#include "sceptre.h"
#include "device.h"
#include <reent.h>
#include <errno.h>
//#include <ioctl.h>
//#include <sysdefs.h>
//#include <iface.h>


/**
* This function has to be implemented if you want to use lseek in your programs.
*
* Move the file pointer.
*
* @param p_reent  Pointer to a structure that will receive the return value.
* @param fd       Handle of file to set file pointer of.
* @param pos      Position to move the file pointer to.
* @param whence   The way the file pointer is moved.
* @return The new file pointer offset on success, -1 on failure.
*/
_off_t _lseek_r (struct _reent *p_reent, int fd, _off_t pos, int whence)
{
  /* TODO: convert for Sceptre

  struct IOCTLSEEKSTRUCT 
  {
    _off_t * pos;
    int * whence;
  } 
  IOCTL_SEEKER;
  int idx;
  
  // Look through device table for this device.
  if ((idx = device_find(ptr,DEVICE_TYPE(fd)))==-1) return -1;
  
  // Call function if defined.
  if (device_table_list[idx].p_item->ioctl!=0) 
  {
    IOCTL_SEEKER.pos = &pos;
    IOCTL_SEEKER.whence = &whence;
    return device_table_list [idx].p_item->ioctl(ptr,fd,IOCTL_MMC_SEEK,&IOCTL_SEEKER);
  }*/

  p_reent->_errno = EBADF;
  return -1;
}

