/**
	@file
	newlib - unlink.

  \todo Add implementation.
 */

#include "sceptre.h"
#include "device.h"
#include <reent.h>
#include <errno.h>
#include <string.h>


/**
* This function has to be implemented if you want to use unlink in your programs.
*
* @param p_reent     Pointer to a structure that will receive the return value.
* @param p_filename  Name of file to unlink (= delete).
* @return 0 on success, -1 on failure.
*/
int _unlink_r(struct _reent *p_reent, const char *p_filename)
{
  /* TODO: convert for Sceptre

  int i; 
  int len;
  long ptr;
  
  // Unlink is from some device name, so find that named device.
  i = device_find_by_name(filename,&len);
  if (i>=0)
  {
    // Found it, now call the unlink.
    // Device is called with device name removed.
    if (device_table_list[i].p_item->ioctl!=0) 
    {
      ptr = ((long)&filename[len+2]);
      return device_table_list[i].p_item->ioctl(r,0,IOCTL_MMC_UNLINK,(long *)&ptr);
    }
  }*/

  // Otherwise we get nasty about it..
  p_reent->_errno = ENODEV;
  return -1;
}

