/**
	@file
	newlib - fstat.
 */

#include <reent.h>
#include <errno.h>
#include <sys/stat.h>
//#include <sysdefs.h>


/**
* This function has to be implemented if you want to use fstat in your programs.
*
* Get the status of an open file.
*
* @param p_reent    Pointer to a structure that will receive the return value.
* @param fd         Handle of file to get status of.
* @param p_stat     Address otfstatus structure to fill.
* @return Zero on success, nonzero on failure (and errno set).
*/
int _fstat_r(struct _reent *p_reent, int fd, struct stat *p_stat)
{
  p_reent->_errno = EIO;
  return -1;
}

