/**
	@file
	newlib - isatty.
 */

#include <unistd.h>  // For prototype of isatty.


/**
* This function has to be implemented if you want to use isatty in your programs.
*
* @param fd  Handle of file to get TTY info of.
* @return Nonzero if fd is a terminal device, zero otherwise.
*/
int isatty(int fd)
{
  return 0;
}

