/**
	@file
	High-level thermometer driver interface.
 */

#ifndef __THERMOMETER_H__
#define __THERMOMETER_H__


#define THERMOMETER_INVALID  -100


bool_t thermometer_init(void);
float thermometer_read(void);
int thermometer_write(uint8_t *p_data, uint32_t data_size);


#endif // __THERMOMETER_H__

