#include <string.h>
#include "itoa.h"


static char itoa_buffer[ITOA_MAXSTRINGLEN+1];


static void itoa_num_to_str(int n)
{
  int i;
  int len;
  
  if ((i=n/10)!=0) itoa_num_to_str(i);
  len = strlen(itoa_buffer);
  if (len<ITOA_MAXSTRINGLEN) 
  {
    itoa_buffer[len] = n%10 + '0';
    itoa_buffer[len+1] = '\0';
  }
}


char *itoa(int n)
{
  itoa_buffer[0] = '\0';
  itoa_num_to_str(n);
  return (char *)itoa_buffer;
}


